Bug 72692 - Dummy connections spamming SSL error log
Dummy connections spamming SSL error log
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Depends On:
  Show dependency treegraph
Reported: 2002-08-26 14:07 EDT by Joe Orton
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version: 2.0.40-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-19 10:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2002-08-26 14:07:20 EDT
Description of Problem:
The Apache 2.0 pipe-of-death code makes dummy connections to the local server to  
force a child process to quit, and these may go to the SSL port, causing
mod_ssl to regularly leave log messages in the ssl_error_log.

Version-Release number of selected component (if applicable):

How Reproducible:

Steps to Reproduce:
1. load httpd and mod_ssl packages
2. start server
3. benchmark to port 80 with 'ab' or so on

Actual Results:
Many error messages like below in ssl_error_log:
[Mon Aug 26 19:17:30 2002] [error] SSL handshake interrupted by system [Hint:
Stop button pressed in browser?!]

Expected Results:
No error messages in ssl_error_log.
Comment 1 Joe Orton 2002-08-30 12:19:38 EDT
Simple workaround to use the first configured listener for dummy connections in
2.0.40-3, a config change (e.g. an SSL-only server) can still thwart this.
Comment 2 Joe Orton 2003-05-19 10:10:35 EDT
Workaround seems sufficient.

Note You need to log in before you can comment on or make changes to this bug.